%define	name	sysctlconfig
%define	version	0.15
%define	release	%mkrel 6

Summary:	A configuration tool for operating system tunable parameters
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.redhat.de/
Source0:	%{name}-%{version}.tar.bz2
Source1:	sysctlconfig-gtk.png.bz2
Patch0:		sysctlconfig-0.15-gcc34.diff
ExcludeArch:	ia64
BuildRequires:	desktop-file-utils recode
BuildRequires:	gtk+-devel
BuildRequires:	gtk+
BuildRequires:	libxml-devel
BuildRequires:	chrpath
Requires:	procps
Requires:	usermode
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
sysctl-config is a tool for configuring operating system tunable
parameters. It eases modifying /etc/sysctl.conf.

%prep

%setup -q 
%patch0 -p0

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%find_lang %{name}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -d %{buildroot}%{_sysconfdir}/X11/applnk/System
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/menu

mv %{buildroot}%{_bindir}/sysctlconfig-gtk %{buildroot}%{_sbindir}/sysctlconfig-gtk

bzcat %{SOURCE1} > %{buildroot}%{_iconsdir}/sysctlconfig-gtk.png
rm -f %{buildroot}%{_iconsdir}/*.xpm

cat > %{buildroot}/%{_sysconfdir}/pam.d/sysctlconfig-gtk <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       include      system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

cat > %{buildroot}/%{_sysconfdir}/security/console.apps/sysctlconfig-gtk <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/sysctlconfig-gtk
SESSION=true
EOF
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/sysctlconfig-gtk


mkdir -p %{buildroot}%{_datadir}/applications 
mv %{buildroot}%{_sysconfdir}/X11/applnk/System/%{name}.desktop %{buildroot}%{_datadir}/applications/

recode ISO-8859-15..UTF-8 %{buildroot}%{_datadir}/applications/%{name}.desktop
perl -pi -e 's,%{name}-gtk.xpm,%{name}-gtk,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Name" \
  --add-category="System" \
  --add-category="Settings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# nuke rpath
chrpath -d %{buildroot}%{_sbindir}/*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/sysctlconfig-gtk
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/security/console.apps/sysctlconfig-gtk
#%config(noreplace) %{_sysconfdir}/X11/applnk/System/sysctlconfig.desktop
%{_sbindir}/sysctlconfig-gtk
%{_bindir}/sysctlconfig-gtk
%{_iconsdir}/*.png
%{_datadir}/sysctlconfig/*
%{_datadir}/applications/*.desktop



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.15-6mdv2008.1
+ Revision: 140904
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.15-6mdv2008.0
+ Revision: 94870
- Really bunzip patch.

  + Emmanuel Andry <eandry@mandriva.org>
    - uncompress patch
    - drop old menu
    - xdg
    - fix desktop file validation

  + Andreas Hasenack <andreas@mandriva.com>
    - get rid of obsolete buildprereq
    - fix pam config (#31657)
    - fix consolehelper config
    - use mkrel
    - import sysctlconfig


* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15-5mdk
- added one gcc34 fix

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.15-4mdk
- lib64 fixes, fix deps, use macros, nuke rpath

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-3mdk
- misc spec fixes

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-2mdk
- rebuilt with gcc3.1

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-1mdk
- boldly ripped from RedHat and adapted to ML

* Mon Mar 25 2002 Harald Hoyer <harald@redhat.de>
- more descriptive text in .desktop (#61806)

* Tue Jan 29 2002 Harald Hoyer <harald@redhat.de>
- more buildprereq

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Harald Hoyer <harald@redhat.com>
- removed vm.freepages (#49529)
- removed ncurses-devel dependency (#49710)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 06 2001 Harald Hoyer <harald@redhat.com>
- added /usr/share/icons to the filelist #34915
- no more values, that do not exist in the current kernel #34924

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- added german translation
- added RAID settings
- fixed some Makefile.am issues
- added /usr/share/sysctlconfig (#26229)
- fixed lang tags in the spec file

* Fri Jan 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized.

* Thu Jan 04 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese entry to .desktop

* Wed Nov 15 2000 Harald Hoyer <harald@redhat.com>
- excluded IA64

* Tue Nov 11 2000 Harald Hoyer <harald@redhat.com>
- fixed multivalue problems (bdflush)

* Tue Oct 10 2000 Harald Hoyer <harald@redhat.com>
- fixed apply and save procedures

* Wed Sep 06 2000 Harald Hoyer <harald@redhat.com>
- changed bdflush ranges

* Fri Aug 04 2000 Harald Hoyer <harald@redhat.com>
- added tcp_syncookies

* Sun Jul 16 2000 Harald Hoyer <harald@redhat.com>
- removed iopl check
- corrected symlink
- depends on usermode now

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- adjust to new API

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- add %%defattr

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- ExclusiveArch: i386 i486 i586 i686
- ExcludeArch: ia64 sparc alpha

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- removed -Werror
- updated for rhclib-18

* Thu Jun 15 2000 Harald Hoyer <harald@redhat.com>
- first real version

* Fri Jun 09 2000 Harald Hoyer <harald@redhat.com>
- initial version
